<template>
  <div class="RadioRecordTab">
    <iframe
      class="recordFrame"
      ref="recordFrame"
      :src="radioSrc"
      width="100%"
      height="100%"
      nwdisable
      nwfaketop
      nwuseragent="Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.113 Safari/537.36">
    </iframe>
  </div>
</template>

<script>
export default {
  data() {
    return {
      radioSrc: '',
    }
  },
  computed: {
    isTabActive() {
      return this.$parent.active
    },
  },
  watch: {
    async isTabActive() {
      if (!this.radioSrc) {
        const frame = $(this.$refs.recordFrame)
        this.radioSrc = 'https://www.radiorecord.ru/player/?from=undock'
        await loadedFrame(frame)
        $(frame.contents()[0], window).find('#music_mini').bind('mouseup', (e) => {
          const artist = $(frame.contents()[0], window).find('#music_mini_artist').text()
          const song = $(frame.contents()[0], window).find('#music_mini_song').text()
          const clipboard = nw.Clipboard.get()
          clipboard.set(`${artist} ${song}`, 'text')
          this.$axios.post('/notify', {
            text: `${artist} ${song} copied to clipboard`
          })
          setTimeout(() => {
            $(frame.contents()[0], window).find('#music_down').click()
          }, 1000)
          return false
        })
      }
    }
  },
}
</script>

<style lang="less" scoped>
@import "./RadioRecordTab.less";
</style>